supported_os_simulators

Action disabled: register

swift supports the following simulators:

    Laminar Research X-Plane 11 (Vulkan/Metal/OpenGL)
    Microsoft Flight Simulator (FS2020)
    Lockheed Martin Prepar3D versions 1 thru 5
    Microsoft Flight Simulator X with Acceleration or Service Pack 2 and Steam Edition
    Microsoft Flight Simulator 2004 / FS9 (experimental)
    FlightGear

Our swift applications have been designed to work on all relevant operating systems. Find below the specific requirements for each platform.

Windows

  • Microsoft Windows 8, 8.1, or 10 in 32 or 64 bit
  • 200 MB free disk space



Mac OS

  • MacOS 10.12 or higher
  • 64 bit only
  • 200 MB free disk space


Linux

  • 64 bit only
  • 200 MB free disk space
  • swift is built on Ubuntu 16.04 LTS. Therefore it should run on any modern Linux distributions that have the following minimum package versions installed:
    • glibc 2.23 or higher
    • glibcxx 2.3.22 or higher
    • OpenSSL 1.1
    • libxcb-xinerama0
    • libspeexdsp
    • libopus


To use swift, proceed to our download page.

  • supported_os_simulators.txt
  • Last modified: 2020/09/17 17:05
  • by flyingfox